Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040182
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Distribution Ordersmajoralways2019-02-12 08:562019-03-01 10:08
ReportergorkaionView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionb019ed046012
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned ToSandrahuguet
Regression introduced in release
Summary

0040182: Error processing a DO Receipt with more than 100 lines

DescriptionWhen processing a DO Receipt with more than 100 lines the following error is thrown:

A different object with the same identifier value was already associated with the session : [OBDO_DistributionOrder#282B45DE0A3D43A78B96D358FE34EB34]

The error is raised after the clear session done in line 263 of ProcessDistributionOrderUtil.java
Steps To ReproduceCreate a DO Receipt with more than 100 lines.
Book it.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040305 closedmarkmm82 Error confirming a DO Issue with more than 100 lines 

-  Notes
(0109848)
markmm82 (developer)
2019-02-15 04:00

Test Plan:
As F&B Group Admin:
  Apply module dataset.
  Create a DO Header.
  Add 101 lines to it, selecting any product.
  Book it.
    Notice that process ends successfully and a new DOI is created with the 101 lines related to the riginal DO.
(0109879)
hgbot (developer)
2019-02-15 15:52

Repository: erp/mods/org.openbravo.distributionorder
Changeset: b019ed046012106056577a14a2aaa6f4da77b3c7
Author: Mark <markmm82 <at> gmail.com>
Date: Fri Feb 15 00:01:03 2019 -0300
URL: http://code.openbravo.com/erp/mods/org.openbravo.distributionorder/rev/b019ed046012106056577a14a2aaa6f4da77b3c7 [^]

Fixes issue 40182: Error processing a DO Receipt with more than 100 lines

After clear session, it is refreshed the processing DO (distOrder object).

---
M src/org/openbravo/distributionorder/erpCommon/utility/ProcessDistributionOrderUtil.java
---
(0109880)
Sandrahuguet (developer)
2019-02-15 15:52

Code review + testing OK
(0109936)
hgbot (developer)
2019-02-19 13:02

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.distributionorder
Changeset: 94132b625de770e542be3dd737094b0fe41be3f1
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Feb 19 13:02:40 2019 +0100
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.distributionorder/rev/94132b625de770e542be3dd737094b0fe41be3f1 [^]

related to issue 40182 backport 18Q3 repository

Error processing a DO Receipt with more than 100 lines

---
M src/org/openbravo/distributionorder/erpCommon/utility/ProcessDistributionOrderUtil.java
---

- Issue History
Date Modified Username Field Change
2019-02-12 08:56 gorkaion New Issue
2019-02-12 08:56 gorkaion Assigned To => Triage Finance
2019-02-12 09:33 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2019-02-12 13:05 Sandrahuguet Tag Attached: Performance
2019-02-12 13:05 Sandrahuguet Tag Detached: Performance
2019-02-14 08:58 Sandrahuguet Assigned To AtulOpenbravo => markmm82
2019-02-14 09:56 galderromo Issue Monitored: galderromo
2019-02-14 14:58 markmm82 Status new => scheduled
2019-02-15 04:00 markmm82 Note Added: 0109848
2019-02-15 15:52 hgbot Checkin
2019-02-15 15:52 hgbot Note Added: 0109879
2019-02-15 15:52 hgbot Status scheduled => resolved
2019-02-15 15:52 hgbot Resolution open => fixed
2019-02-15 15:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/mods/org.openbravo.distributionorder/rev/b019ed046012106056577a14a2aaa6f4da77b3c7 [^]
2019-02-15 15:52 Sandrahuguet Review Assigned To => Sandrahuguet
2019-02-15 15:52 Sandrahuguet Note Added: 0109880
2019-02-15 15:52 Sandrahuguet Status resolved => closed
2019-02-19 13:02 hgbot Checkin
2019-02-19 13:02 hgbot Note Added: 0109936
2019-03-01 10:08 gorkaion Issue cloned 0040305
2019-03-06 17:47 Sandrahuguet Relationship added related to 0040305


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker